EDIT - bug #7487

Full text misapplied name search with area filter uses fixed relation type uuid

06/16/2018 06:29 PM - Andreas Miller

Status: Resolved Start date: 05/30/2022
Priority: Highest Due date: 06/03/2022
Assignee: Andreas Muller % Done: 70%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.32

Severity: normal Found in Version:

Description

This leads to problems when searching for pro parte and partial misapplied names and synonyms as misapplied names are found

even if not selected.

Related issues:
Related to EDIT - bug #7478: Fix pro parte synonym search

Resolved

Associated revisions

Revision fca04e62 - 06/16/2018 10:14 PM - Andreas Miiller

ref #7486 create test for pro parte search issue

Revision 52d93556 - 06/16/2018 10:17 PM - Andreas Miiller
ref #7487 fix ticket number 7486->7487

Revision a8e21522 - 06/16/2018 10:21 PM - Andreas Miiller
ref #7487 set test to ignore

Revision e0a87ccd - 05/30/2022 10:01 PM - Andreas Miiller
ref #7487 adapt test

Revision 44e77359 - 05/30/2022 10:56 PM - Andreas Muiller
ref #7487 fix fulltext search for proparten MAN and partial MAN+synonyms

History

#1 - 06/16/2018 07:44 PM - Andreas Miiller
- Related to bug #7478: Fix pro parte synonym search added

#2 - 06/16/2018 10:22 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

Created test TaxonServiceSearchTest.testFindTaxaAndNamesByFullText_AreaFilter_7487 .

Strange is that it seems to work with misapplied name pro parte and partial, but does not with synonyms.

#3 - 06/28/2018 08:14 AM - Andreas Kohlbecker

- Target version changed from Release 5.1 to Release 5.2

#4 - 08/17/2018 03:55 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#5 - 09/06/2018 11:17 AM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#6 - 10/23/2018 01:50 PM - Andreas Kohlbecker

- Target version changed from Release 5.4 to Release 5.5
#7 - 01/30/2019 11:31 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#8 - 02/22/2019 05:38 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Unassigned CDM tickets

#9 - 05/21/2022 12:39 PM - Andreas Miiller

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

#10 - 05/21/2022 12:39 PM - Andreas Miiller

- Tags set to lucene

#11 - 05/30/2022 10:47 PM - Andreas Miiller

- Status changed from New to Resolved

- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.32

- % Done changed from 0 to 70

Solved by adding also proparte and partial MAN and partial synonym relationship type subqueries. Also related to final fix for #5477.

#12 - 05/30/2022 10:47 PM - Andreas Miiller
- Due date set to 06/03/2022
- Start date set to 05/30/2022

#13 - 07/29/2022 02:18 PM - Andreas Miiller

- Target version changed from Release 5.32 to Release 5.33

#14 - 08/02/2022 11:31 PM - Andreas Miiller

- Target version changed from Release 5.33 to Release 5.32

03/20/2024 22


https://dev.e-taxonomy.eu/redmine/issues/5477
http://www.tcpdf.org

